<?php
require "../include/variables.php";
require "../include/functions.php";

if (filter_var($_GET['article'], FILTER_VALIDATE_INT)) {
    $article = $_GET['article'];
} else {
    $article = "";
}
?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./src/css/style.css">
    <link rel="icon" href="src/img/favicon.ico">
    <title><?=$title?></title>
</head>
<body class='<?=$_SESSION['theme']?>'>
    <header>
        <div class="pancontent">
            <div class="athena-container">
            <a href="/" class="athena-link">
                    <img src="./src/img/athena-mono.png" class="athena">
                </a>
            </div>
            <div class="content">
                <div>
                    <div class="main-title">
                        <div class="title"><?=$header_title?></div>
                        <div class="subtitle"><?=$header_subtitle?></div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <nav>
        <div class="pancontent">
            <?php nav($nav);?>
        </div>
    </nav>
    <main>
        <div class="content">
            <div>
                <div>
                    <?php
                        if ($article != "" && file_exists('/var/www/e59/content/journal/' . $article . '.md')) {
                            $markdownContent = file_get_contents('/var/www/e59/content/journal/' . $article . '.md');

                            require_once '../include/parsedown.php';
                            $parsedown = new Parsedown();
                            echo "<div class='article'>";
                            $bdd = connect($dbhost, $dbname, $dbuser, $dbpass);
                            $req = $bdd->prepare("SELECT ID, titre, date, auteur, classification FROM articles WHERE ID = :article");
                            $req->bindParam(":article", $article);
                            $req->execute();
                            $resultat = $req->fetchAll(PDO::FETCH_ASSOC);;

                            if ($resultat) {
                                $date = strtotime($resultat[0]['date']);
                                echo "<div class='article-titre'>" . $resultat[0]['titre'] . "</div>";
                                echo "<div class='article-date'>" . date('d/m/Y', $date) . "</div>";
                                echo "<div class='article-auteur'>" . $resultat[0]['auteur'] . "</div>";
                                echo "<div class='article-classification'>" . $classifications[$resultat[0]['classification']] . "</div></div>";
                            }
                            echo "<div class='article-content'>";
                            echo $parsedown->text($markdownContent);
                            echo "</div></div>";
                        } else {
                            $bdd = connect($dbhost, $dbname, $dbuser, $dbpass);
                            $req = $bdd->prepare("SELECT ID, titre, date FROM articles WHERE classification <= :accreditation ORDER BY date DESC");
                            $req->bindParam(":accreditation", $_SESSION['accreditation']);
                            $req->execute();
                            $resultat = $req->fetchAll(PDO::FETCH_ASSOC);

                            if ($resultat) {
                                foreach($resultat as $row) {
                                    $date = strtotime($row['date']);
                                    echo "<hr><div class='article-preview'>";
                                    echo "<a href='?article=" . $row['ID'] . "' class='article-link'>";
                                    echo "<div class='article-titre'>" . $row['titre'] . "</div></a>";
                                    echo "<div class='article-date'>" . date('d/m/Y', $date) . "</div></div>";
                                }
                            }
                        }
                    ?>
                </div>
            </div>
        </div>
    </main>
    <footer>
        <div class="content">
            <div>
                <div><?=$copyright?></div>
            </div>
        </div>
    </footer>
</body>
</html>